#include <iostream>
#include <iomanip>
#include <cstdio>
#include <cstdlib>
#include <cmath>

using namespace std;

const long long mul = 12000;

long long calc(long long d1, long long d2)
{
    long long d = fabsl(d1 - d2);
    if (d > 180*mul) d = 360*mul - d;
    return d;
}

int main()
{
    freopen("input.txt" ,"r", stdin); freopen("output.txt", "w", stdout);

    double tt;
    int m;
    long long best_f = (2*360*24*60 + 1) * mul;
    int best_p = 0;
    cin >> tt >> m;
    long long t = (long long)(tt*mul + 1e-6);
    for (int p = 1; p <= 24*60; p++) {
        long long ah = 0, am = 0;
        long long f = 0;
        int ok = 1;
        for (int i = 1; i <= 24*60; i++) {
            am += t; ah += t/12;
            am %= 360*mul;
            ah %= 360*mul;
            
            long long ah1 = (i % (12*60)) * mul / 2;
            long long am1 = (i % 60) * 6 * mul;

            if (i % p == 0 || i == 24*60) {
                f += calc(ah, ah1) + calc(am, am1);
                ah = ah1;
                am = am1;
            }

            if (calc(ah, ah1) * 2 > m*mul) {
                ok = 0;
                break;
            }
        }

        if (ok && f <= best_f) {
            best_f = f;
            best_p = p;
        }
    }

    cout << fixed << setprecision(4) << best_f / (double)mul << " " << best_p << endl;

    fclose(stdin); fclose(stdout);
    return 0;
}
